import { VNode, ComponentOptions, Plugin, Directive, Component } from 'vue';
import { VueWrapper } from './vue-wrapper';
declare type Slot = VNode | string | {
    render: Function;
};
interface MountingOptions<Props> {
    data?: () => Record<string, unknown>;
    props?: Props;
    slots?: {
        default?: Slot;
        [key: string]: Slot;
    };
    global?: {
        plugins?: Plugin[];
        mixins?: ComponentOptions[];
        mocks?: Record<string, any>;
        provide?: Record<any, any>;
        components?: Record<string, Component | object>;
        directives?: Record<string, Directive>;
    };
    stubs?: Record<string, any>;
}
export declare function mount<P>(originalComponent: any, options?: MountingOptions<P>): VueWrapper;
export {};
