/// <reference types="src/vue-shims" />
import { ComponentPublicInstance } from 'vue';
import { DOMWrapper } from './dom-wrapper';
import { WrapperAPI } from './types';
import { ErrorWrapper } from './error-wrapper';
export declare class VueWrapper implements WrapperAPI {
    private componentVM;
    private __emitted;
    private __vm;
    constructor(vm: ComponentPublicInstance, events: Record<string, unknown[]>);
    private get appRootNode();
    private get hasMultipleRoots();
    private get parentElement();
    get element(): Element;
    get vm(): ComponentPublicInstance;
    classes(className?: string): boolean | string[];
    attributes(key?: string): any;
    exists(): boolean;
    emitted(): Record<string, unknown[]>;
    html(): string;
    text(): string;
    find<T extends Element>(selector: string): DOMWrapper<T> | ErrorWrapper;
    findAll<T extends Element>(selector: string): DOMWrapper<T>[];
    trigger(eventString: string): Promise<typeof import("vue").nextTick>;
}
export declare function createWrapper(vm: ComponentPublicInstance, events: Record<string, unknown[]>): VueWrapper;
